MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003266ATutorLanguagepublic2007-12-23 22:232008-08-21 08:57
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6 
Target VersionFixed in Version1.6 
Summary0003266: i18n: Date format
DescriptionATutor version: 1.6 beta 2.

Several date/time formatting language variables in English contain wrong parameters.

1. `filemanager_date_format`.
Equals to '%%Y-%%m-%%d %%h:%%i', where '%%h' is an hour in 12h format, but the AM/PM part is missing.
Fix: Replace '%%h' with '%%H' (hours 00..24) (or append '%%A' or '%%a' for AM/PM in upper or lower case respectively).

2. `startend_date_long_format` and `startend_date_longs_format`.
Contain '%%Y-%%m-%%d %%h:%%m' where '%%h' is 12h, and the second '%%m' is for month.
Fix: Replace '%%h' with '%%H' (24h). Replace the second '%%m' with '%%i' (minutes 00..59).
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002708)
greg (administrator)
2008-01-07 10:41

These are translation items, not code changes. English in north american use the 12 hour clock, as does GB.
(0002714)
IndieRect (reporter)
2008-01-08 00:46

Greg, read again, please.

There are two points here:
1. One can't tell whether it's AM or PM.
2. Additionally, the month stands where the minute should.

*That* was what I meant. I do know that you use the 12h notation.
(0002716)
greg (administrator)
2008-01-08 07:34

language db update with suggested changes

- Issue History
Date Modified Username Field Change
2007-12-23 22:23 IndieRect New Issue
2007-12-23 22:23 IndieRect Affects version => SVN
2008-01-07 10:41 greg Status new => resolved
2008-01-07 10:41 greg Resolution open => won't fix
2008-01-07 10:41 greg Assigned To => greg
2008-01-07 10:41 greg Note Added: 0002708
2008-01-08 00:46 IndieRect Status resolved => feedback
2008-01-08 00:46 IndieRect Resolution won't fix => reopened
2008-01-08 00:46 IndieRect Note Added: 0002714
2008-01-08 07:34 greg Status feedback => resolved
2008-01-08 07:34 greg Fixed in Version => 1.6
2008-01-08 07:34 greg Resolution reopened => fixed
2008-01-08 07:34 greg Note Added: 0002716
2008-08-21 08:57 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker